Bug 105975 - i965 always reports 0 viewport subpixel bits
Summary: i965 always reports 0 viewport subpixel bits
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-10 21:53 UTC by Józef Kucia
Modified: 2018-08-21 05:47 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Józef Kucia 2018-04-10 21:53:52 UTC
The driver doesn't seem to report the actual value.
Comment 1 Danylo 2018-06-18 12:56:10 UTC
I have sent the patch to fix this: https://patchwork.freedesktop.org/patch/230063/
Comment 2 Tapani Pälli 2018-08-21 05:47:25 UTC
commit 25ec806eb249603ad0364365ab620628cf25f031
Author: Danylo Piliaiev <danylo.piliaiev@gmail.com>
Date:   Mon Jun 18 15:50:57 2018 +0300

    i965: Advertise 8 bits subpixel precision for viewport bounds on gen6+
    
    We use floating-points for viewport bounds so VIEWPORT_SUBPIXEL_BITS
    should reflect this.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=105975
    
    Signed-off-by: Danylo Piliaiev <danylo.piliaiev@globallogic.com>
    Reviewed-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.